org.eclipse.jgit.lib

## Class UserConfig

- java.lang.Object
- - org.eclipse.jgit.lib.UserConfig

    public class UserConfig
    extends Object

The standard "user" configuration parameters.

### Field Summary

Fields
`static Config.SectionParser<UserConfig>` `KEY` Key for `Config.get(SectionParser)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAuthorEmail()`
`String` `getAuthorName()`
`String` `getCommitterEmail()`
`String` `getCommitterName()`
`boolean` `isAuthorEmailImplicit()`
`boolean` `isAuthorNameImplicit()`
`boolean` `isCommitterEmailImplicit()`
`boolean` `isCommitterNameImplicit()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY

    public static final Config.SectionParser<UserConfig> KEY

Key for `Config.get(SectionParser)`.

### Method Detail

#### getAuthorName

    public String getAuthorName()

Returns:
  the author name as defined in the git variables and configurations. If no name could be found, try to use the system user name instead.

#### getCommitterName

    public String getCommitterName()

Returns:
  the committer name as defined in the git variables and configurations. If no name could be found, try to use the system user name instead.

#### getAuthorEmail

    public String getAuthorEmail()

Returns:
  the author email as defined in git variables and configurations. If no email could be found, try to propose one default with the user name and the host name.

#### getCommitterEmail

    public String getCommitterEmail()

Returns:
  the committer email as defined in git variables and configurations. If no email could be found, try to propose one default with the user name and the host name.

#### isAuthorNameImplicit

    public boolean isAuthorNameImplicit()

Returns:
  true if the author name was not explicitly configured but constructed from information the system has about the logged on user

#### isAuthorEmailImplicit

    public boolean isAuthorEmailImplicit()

Returns:
  true if the author email was not explicitly configured but constructed from information the system has about the logged on user

#### isCommitterNameImplicit

    public boolean isCommitterNameImplicit()

Returns:
  true if the committer name was not explicitly configured but constructed from information the system has about the logged on user

#### isCommitterEmailImplicit

    public boolean isCommitterEmailImplicit()

Returns:
  true if the author email was not explicitly configured but constructed from information the system has about the logged on user